<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2015 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<favorites xmlns:launcher="http://schemas.android.com/apk/res-auto/com.android.launcher3">

    <!-- Hotseat (We use the screen as the position of the item in the hotseat) -->
    <!-- Dialer, Signal/Messaging, DuckDuckGo/Chromium -->
    <resolve
        launcher:container="-101"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="0" >
        <favorite launcher:uri="#Intent;action=android.intent.action.DIAL;end" />
        <favorite launcher:uri="tel:123" />
        <favorite launcher:uri="#Intent;action=android.intent.action.CALL_BUTTON;end" />
    </resolve>

    <resolve
        launcher:container="-101"
        launcher:screen="1"
        launcher:x="1"
        launcher:y="0" >
        <favorite launcher:packageName="org.thoughtcrime.securesms" launcher:className="org.thoughtcrime.securesms.RoutingActivity" />
        <favorite launcher:uri="#Intent;action=android.intent.action.MAIN;category=android.intent.category.APP_MESSAGING;end" />
        <favorite launcher:uri="sms:" />
        <favorite launcher:uri="smsto:" />
        <favorite launcher:uri="mms:" />
        <favorite launcher:uri="mmsto:" />
    </resolve>

    <resolve
        launcher:container="-101"
        launcher:screen="2"
        launcher:x="2"
        launcher:y="0" >
        <favorite launcher:packageName="com.duckduckgo.mobile.android" launcher:className="com.duckduckgo.app.launch.Launcher" />
        <favorite
            launcher:uri="#Intent;action=android.intent.action.MAIN;category=android.intent.category.APP_BROWSER;end" />
        <favorite launcher:uri="http://www.example.com/" />
    </resolve>

    <!-- Search widget shown at the top, provided by the browser -->
    <!-- <resolve> doesn't work for appwidgets so just put them both here, the first installed app wins -->
    <appwidget
        launcher:screen="0"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="3"
        launcher:spanY="1"
        launcher:packageName="com.duckduckgo.mobile.android"
        launcher:className="com.duckduckgo.widget.SearchWidget"
        launcher:appWidgetId="-1" />

    <appwidget
        launcher:screen="0"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="3"
        launcher:spanY="1"
        launcher:packageName="org.chromium.chrome"
        launcher:className="org.chromium.chrome.browser.searchwidget.SearchWidgetProvider"
        launcher:appWidgetId="-1" />

    <!-- Bottom Row: CalyxVPN, TorBrowser, F-Droid -->
    <favorite
        launcher:screen="0"
        launcher:x="0"
        launcher:y="-1"
        launcher:packageName="org.calyxinstitute.vpn"
        launcher:className="se.leap.bitmaskclient.base.StartActivity" />

    <favorite
        launcher:screen="0"
        launcher:x="1"
        launcher:y="-1"
        launcher:packageName="org.torproject.torbrowser"
        launcher:className="org.mozilla.gecko.BrowserApp" />

    <favorite
        launcher:screen="0"
        launcher:x="2"
        launcher:y="-1"
        launcher:packageName="org.fdroid.fdroid"
        launcher:className="org.fdroid.fdroid.views.main.MainActivity" />

</favorites>
